%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

Summary:	python-rarfile - RAR archive reader for Python

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		python-rarfile
Version:	2.6
Release:	1%{?dist}

License:	GPL

Group:		Applications/Forensics Tools
Source:		rarfile-%{version}.tar.gz
URL:		https://pypi.python.org/pypi/rarfile

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%{__python}
Requires:	%{__python}

%description
This is Python module for RAR_ archive reading.  The interface
is made as zipfile_ like as possible.  Licensed under ISC_
license.

.. _RAR: http://en.wikipedia.org/wiki/RAR
.. _zipfile: http://docs.python.org/library/zipfile.html
.. _ISC: http://en.wikipedia.org/wiki/ISC_license

Features:

- Supports both RAR 2.x and 3.x archives.
- Supports multi volume archives.
- Supports Unicode filenames.
- Supports password-protected archives.
- Supports archive comments.
- Archive parsing and non-compressed files are handled in pure Python code.
- For compressed files runs ``unrar`` utility.
- Works with both Python 2.x and 3.x.

Links:

- News: http://rarfile.berlios.de/NEWS.html
- FAQ: http://rarfile.berlios.de/FAQ.html
- API documentation: http://rarfile.berlios.de/doc/
- Downloads, GIT: http://developer.berlios.de/projects/rarfile


%prep
%setup -n rarfile-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --prefix=%{_prefix}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE PKG-INFO README.rst
%attr(444, bin, bin)	%{python_sitelib}/rarfile*

%changelog
* Wed Apr 10 2013 Marko Kreen <markokr@gmail.com> 2.6-1
* Release 2.6-1
	Version 2.6 (2013-04-10)
		Add context manager support for RarFile class. Both RarFile and RarExtFile support with statement now. (Wentao Han)
		RarFile.volumelist() method, returns filenames of archive volumes.
		Re-throw clearer error in case unrar is not found in PATH.
		Sync new unrar4.x error code from rar.txt.
		Use Sphinx for documentation, push docs to rtfd.org

	Version 2.5 (2012-01-19)
	    Fixes:
		RarExtFile.read() and RarExtFile.readinto() now do looping read to work properly on short reads. Important for Python 3.2+ where read from pipe can return short result even on blocking file descriptor.
		Proper error reporting in RarFile.extract(), RarFile.extractall() and RarFile.testrar().
		RarExtFile.read() from unrar pipe: prefer to return unrar error code, if thats not available, do own error checks.
		Avoid string addition in RarExtFile.read(), instead use always list+join to merge multi-part reads.
		dumprar: dont re-encode byte strings (Python 2.x). This avoids unneccessary failure when printing invalid unicode.

	Version 2.4 (2011-11-05)
	    Fixes:
		USE_DATETIME: survive bad values from RAR
		Fix bug in corrupt unicode filename handling
		dumprar: make unicode chars work with both pipe and console

	Version 2.3 (2011-07-03)
	    Features:
		Support .seek() method on file streams. (Kristian Larsson)
		Support .readinto() method on file streams. Optimized implementation is available on Python 2.6+ where memoryview is available.
		Support file comments - RarInfo.comment contains decompressed data if available.
		File objects returned by RarFile.open() are io.RawIOBase-compatible. They can further wrapped with io.BufferedReader and io.TextIOWrapper.
		Now .getinfo() uses dict lookup instead of sequential scan when searching archive entry. This speeds up prococessing for archives that have many entries.
		Option UNICODE_COMMENTS to decode both archive and file comments to unicode. It uses TRY_ENCODINGS for list of encodings to try. If off, comments are left as byte strings. Default: 0
		Option PATH_SEP to change path separator. Default: r'\', set rarfile.PATH_SEP='/' to be compatibe with zipfile.
		Option USE_DATETIME to convert timestamps to datetime objects. Default: 0, timestamps are tuples.
		Option TRY_ENCODINGS to allow tuning attempted encoding list.
		Reorder RarInfo fiels to better show zipfile-compatible fields.
		Standard regtests to make sure various features work
	    Compatibility:
		Drop RarInfo.unicode_filename, plain RarInfo.filename is already unicode since 2.0.
		.read(-1) reads now until EOF. Previously it returned empty buffer.
	    Fixes:
		Make encrypted headers work with Python 3.x bytes() and with old 2.x ‘sha’ module.
		Simplify subprocess.Popen usage when launching unrar. Previously it tried to optimize and work around OS/Python bugs, but this is not maintainable.
		Use temp rar file hack on multi-volume archives too.
		Always .wait() on unrar, to avoid zombies
		Convert struct.error to BadRarFile
		Plug some fd leaks. Affected: Jython, PyPy.
		Broken archives are handled more robustly.

* Thu Aug 19 2010 Marko Kreen <markokr@gmail.com> 2.2-1
* Release 2.2-1
	Fixes:

	* Relaxed volume naming.  Now it just calculates new volume name by finding number
	  in old one and increasing it, without any expectations what that number should be.
	* Files with 4G of compressed data in one colume were handled wrong.  Fix.
	* DOS timestamp seconds need to be multiplied with 2.
	* Correct EXTTIME parsing.

	Cleanups:

	* Compressed size is per-volume, sum them together, so that user sees complete
	  compressed size for files split over several volumes.
	* dumprar: Show unknown bits.
	* Use ``struct.Struct()`` to cache unpack formats.
	* Support missing ``os.devnull``. (Python 2.3)
